Subject: [pim] Secdir last call review of draft-ietf-pim-source-discovery-bsr-07

From: Liang Xia <[email-masked]>
Date: Sun, 07 Jan 2018 22:22:17 -0800

Reviewer: Liang Xia
Review result: Has Issues

Nits:
1. In Abstract, the abbreviation is missed when the Term are firstly appeared,
such as: Sparse-Mode, Rendezvous Point; 2. Every word in the section titles
should be in the capital form

Issues:
1. In Security Considerations section,  should one sentence be "even if the
sources are actually not active"? 2. Generally, the peer authentication (by
certificate, shared key...) and the message integration protection are always
helpful to defend against the forged routers and PEM messages, even the
resulted resource consumption. But in current Security Considerations section,
there is nothing discussed about these countermeasures, even in the general
way. Suggest to consider this point personally.

---

From: Stig Venaas <[email-masked]>
Date: Tue, 16 Jan 2018 09:51:26 -0800

Thanks for great feedback!

I've tried to address all of your comments. I'm planning to add this
paragraph to the security considerations.

PIM-SM link-local messages can be authenticated using IPsec, see
[RFC7761] section 6.3 and [RFC5796]. Since PFM messages are link-local
messages sent hop by hop, a link-local PFM message can be
authenticated using IPsec such that a router can verify that a message
was sent by a trusted neighbor and has not been modified. However, to
verify that a received message contains correct information announced
by the originator specified in the message, one will have to trust
every router on the path from the originator and that each router has
authenticated the received message.

Let me know if you have any comments on that paragraph.
Thanks,
Stig

---

From: "Xialiang (Frank)" <[email-masked]>
Date: Wed, 17 Jan 2018 07:55:52 +0000

Hi Stig,
Your feedback looks fine to me.

Thanks !

B.R.
Frank

-----邮件原件-----
发件人: Stig Venaas [mailto:[email-masked]] 
发送时间: 2018年1月17日 1:51
收件人: Xialiang (Frank)
抄送: [email-masked]; [email-masked]; [email-masked]; [email-masked]; The IESG
主题: Re: Secdir last call review of draft-ietf-pim-source-discovery-bsr-07

I've tried to address all of your comments. I'm planning to add this paragraph to the security considerations.

PIM-SM link-local messages can be authenticated using IPsec, see [RFC7761] section 6.3 and [RFC5796]. Since PFM messages are link-local messages sent hop by hop, a link-local PFM message can be authenticated using IPsec such that a router can verify that a message was sent by a trusted neighbor and has not been modified. However, to verify that a received message contains correct information announced by the originator specified in the message, one will have to trust every router on the path from the originator and that each router has authenticated the received message.

On Sun, Jan 7, 2018 at 10:22 PM, Liang Xia <[email-masked]> wrote:
> 1. In Abstract, the abbreviation is missed when the Term are firstly 
> appeared, such as: Sparse-Mode, Rendezvous Point; 2. Every word in the 
> section titles should be in the capital form
>
> Issues:
> 1. In Security Considerations section,  should one sentence be "even 
> if the sources are actually not active"? 2. Generally, the peer 
> authentication (by certificate, shared key...) and the message 
> integration protection are always helpful to defend against the forged 
> routers and PEM messages, even the resulted resource consumption. But 
> in current Security Considerations section, there is nothing discussed 
> about these countermeasures, even in the general way. Suggest to consider this point personally.
>